# Class VariablesCollection

java.lang.Object
org.apache.jmeter.testelement.VariablesCollection

All Implemented Interfaces:
  `Serializable`

public class VariablesCollection extends Object implements Serializable

Version:
  $Revision: 1380371 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VariablesCollection()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addJMeterVariables(JMeterVariables jmVars)`
`JMeterVariables`
`getVariables()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariablesCollection

public VariablesCollection()

## Method Details

### addJMeterVariables

public void addJMeterVariables(JMeterVariables jmVars)

### getVariables

public JMeterVariables getVariables()